package game

type Player struct {
	HP     int8
	Items  [8]Item
	Skip   bool
	Cuffed bool
}

func (p *Player) StartRound(rng *RNG, items int) {
	p.HP = int8(rng.Intn(3) + 2)
	for i := 0; i < items; i++ {
		p.Items[i] = NewItem(rng)
	}
	p.Skip = false
	p.Cuffed = false
}
